package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DrpSupplierQualificationPageDTO {
   @ApiModelProperty("当前页")
   private Long current;
   @ApiModelProperty("每页显示条数")
   private Long size;
   @ApiModelProperty("资质编号")
   private String qualificationNum;
   @ApiModelProperty("资质名称")
   private String qualificationName;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("主次资质类型")
   private Integer mainFlag;
   @ApiModelProperty("小于30,1是 2否")
   private Integer isLessThanMonth;
   @ApiModelProperty("区域id列表")
   private List<Long> areaIdList;

   public Long getCurrent() {
      return this.current;
   }

   public Long getSize() {
      return this.size;
   }

   public String getQualificationNum() {
      return this.qualificationNum;
   }

   public String getQualificationName() {
      return this.qualificationName;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getMainFlag() {
      return this.mainFlag;
   }

   public Integer getIsLessThanMonth() {
      return this.isLessThanMonth;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public DrpSupplierQualificationPageDTO setCurrent(final Long current) {
      this.current = current;
      return this;
   }

   public DrpSupplierQualificationPageDTO setSize(final Long size) {
      this.size = size;
      return this;
   }

   public DrpSupplierQualificationPageDTO setQualificationNum(final String qualificationNum) {
      this.qualificationNum = qualificationNum;
      return this;
   }

   public DrpSupplierQualificationPageDTO setQualificationName(final String qualificationName) {
      this.qualificationName = qualificationName;
      return this;
   }

   public DrpSupplierQualificationPageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpSupplierQualificationPageDTO setMainFlag(final Integer mainFlag) {
      this.mainFlag = mainFlag;
      return this;
   }

   public DrpSupplierQualificationPageDTO setIsLessThanMonth(final Integer isLessThanMonth) {
      this.isLessThanMonth = isLessThanMonth;
      return this;
   }

   public DrpSupplierQualificationPageDTO setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
      return this;
   }


   public String toString() {
      Long var10000 = this.getCurrent();
      return "DrpSupplierQualificationPageDTO(current=" + var10000 + ", size=" + this.getSize() + ", qualificationNum=" + this.getQualificationNum() + ", qualificationName=" + this.getQualificationName() + ", supplierId=" + this.getSupplierId() + ", mainFlag=" + this.getMainFlag() + ", isLessThanMonth=" + this.getIsLessThanMonth() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ")";
   }
}
